org.cybergarage.xml

## Class Attribute

- java.lang.Object
- - org.cybergarage.xml.Attribute

-     public class Attribute
      extends Object

  Represents an XML attribute with name and value.

  This class provides a simple container for XML attribute name-value pairs. Attributes can be created independently or copied from existing attributes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Attribute()` Creates an empty Attribute with empty name and value.
    `Attribute(Attribute otherAttr)` Creates a copy of an existing Attribute.
    `Attribute(String name, String value)` Creates an Attribute with the specified name and value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Gets the name of this attribute.
    `String` | `getValue()` Gets the value of this attribute.
    `void` | `set(Attribute otherAttr)` Copies the name and value from another attribute to this attribute.
    `void` | `setName(String name)` Sets the name of this attribute.
    `void` | `setValue(String value)` Sets the value of this attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Attribute

          public Attribute()

      Creates an empty Attribute with empty name and value.

    - #### Attribute

          public Attribute(Attribute otherAttr)

      Creates a copy of an existing Attribute.
      Parameters:
        `otherAttr` - the attribute to copy

    - #### Attribute

          public Attribute(String name,
                           String value)

      Creates an Attribute with the specified name and value.
      Parameters:
        `name` - the attribute name
        `value` - the attribute value

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the name of this attribute.
      Returns:
        the attribute name

    - #### getValue

          public String getValue()

      Gets the value of this attribute.
      Returns:
        the attribute value

    - #### set

          public void set(Attribute otherAttr)

      Copies the name and value from another attribute to this attribute.
      Parameters:
        `otherAttr` - the attribute to copy from

    - #### setName

          public void setName(String name)

      Sets the name of this attribute.
      Parameters:
        `name` - the attribute name

    - #### setValue

          public void setValue(String value)

      Sets the value of this attribute.
      Parameters:
        `value` - the attribute value